## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname rpds-py
%global modname rpds_py

Name:           python-rpds-py
Version:        0.8.10
Release:        %autorelease
Summary:        Python bindings to the Rust rpds crate

License:        MIT
URL:            https://github.com/crate-py/rpds
Source:         %{pypi_source %{modname}}

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
# Also rust-rpds is not available on i686
ExcludeArch:    %{ix86}

BuildRequires:  cargo-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Python bindings to the Rust rpds crate.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{modname}-%{version}

%cargo_prep


%generate_buildrequires
%pyproject_buildrequires -t
%cargo_generate_buildrequires


%build
export RUSTFLAGS='%{build_rustflags}'
%cargo_license_summary
%{cargo_license} > LICENSES.dependencies
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files rpds


%check
%pytest -vv


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


%changelog
* Sat Jul 15 2023 John Doe <packager@example.com> - 0.8.10-1
- Uncommitted changes
